char __fnameidx;
char __fnamedev;

static const char dec[]={00,10,20,30};

void __fname(const char *name)
{
  char c;
  __fnameidx=0;
  __fnamedev=8;
  c=name[0];
  if(c>='0'&&c<='9'){
    __fnamedev=c-'0';
    c=name[++__fnameidx];
    if(c>='0'&&c<='9'&&__fnamedev<4){__fnamedev=dec[__fnamedev]+c-'0';c=name[++__fnameidx];}
    if(c==':') ++__fnameidx; else {__fnamedev=8;__fnameidx=0;}
  }
}
